M7R0
I&Gtype%"AG6",
I$rnk"""F$,
I%dimg""$F$,
I%nrts""#F$,
I&nprtsF&F$,
I$hrt7#F&F$,
I$rho7##F&F*F$,
I#CM=F$6$;F&F&F4E\[l"6$F&F&F*F$,
I$ICM=F$F3E\[l"F6F0F$,
I#HM=F$F3E\[l"F6F&F$,
I#EE=F$6$;!""F&F4E\[l$6$FAF&FA6$""!F&FEF6F&F$,
I)SerreGen=F$%&falseGE\[l[z"$?"7?"")""(""'""&""%F(F*FPFOFNFMF&F(FPFOFNF*FPFOF(F
PF&F(F*FPFOFNFMFL!$?"7?!")!"(!"'!"&!"%!"$!"#FWFVFUFTFAFXFWFVFUFYFWFVFXFWFAFXFYF
WFVFUFTFSF&F-!$>"7>FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWFVFXFWFAFXFYFWFVFUFTF*7#
F*!$="7=FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWFVFXFWFAFXFYFWFVFUF(7#F(!$<"7<FSFTF
UFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWFVFXFWFAFXFYFWFVFP7#FP!$;"7;FSFTFUFVFWFXFYFWFVFU
FTFAFXFWFVFUFYFWFVFXFWFAFXFYFWFO7#FO!$:"7:FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWF
VFXFWFAFXFYFN7#FN!$9"79FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWFVFXFWFAFXFM7#FM!$8"
79FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWFVFXFWFYFAFL7#FL!$7"78FSFTFUFVFWFXFYFWFVF
UFTFAFXFWFVFUFYFWFVFXFWFY""*7$F(F&!$6"78FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWFVF
XFWFA"#57$FPF*!$5"77FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWFVFXFW"#67$FPF(!$4"77FS
FTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWFVFXFA"#77$FOFP!$3"76FSFTFUFVFWFXFYFWFVFUFTFA
FXFWFVFUFYFWFVFX"#87$FNFO!$2"76FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWFXFA"#97$FMF
N!$1"75FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFWFV"#:7$FLFM!$0"75FSFTFUFVFWFXFYFWFVF
UFTFAFXFWFVFUFYFWFX"#;7%FPF(F&!$/"75FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFYFWFXFA"#<7%
FPF(F*!$."74FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFYFW"#=7%FOFPF*!$-"74FSFTFUFVFWFXFY
FWFVFUFTFAFXFWFVFYFWFX"#>7%FOFPF(!$,"74FSFTFUFVFWFXFYFWFVFUFAFXFWFVFYFWFXFA"#?7
%FNFOFP!$+"73FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFUFY"#@7%FMFNFO!#**73FSFTFUFVFWFXFYF
WFVFUFTFAFXFWFVFYFW"#A7%FLFMFN!#)*73FSFTFUFVFWFXFYFWFVFUFAFXFWFVFYFWFX"#B7&FPF(
F*F&!#(*73FTFUFVFWFXFYFWFVFUFAFXFWFVFYFWFXFA"#C7&FOFPF(F&!#'*72FSFTFUFVFWFXFYFW
FVFUFTFAFXFWFVFU"#D7&FOFPF(F*!#&*72FSFTFUFVFWFXFYFWFVFUFTFAFXFWFVFY"#E7&FNFOFPF
*!#%*72FSFTFUFVFWFXFYFWFVFUFAFXFWFVFYFW"#F7&FNFOFPF(!#$*72FTFUFVFWFXFYFWFVFUFAF
XFWFVFYFWFX"#G7&FMFNFOFP!##*71FSFTFUFVFWFXFYFWFVFUFTFAFXFWFV"#H7&FLFMFNFO!#"*71
FSFTFUFVFWFXFYFWFVFUFTFAFXFWFY"#I7'FOFPF(F*F&!#!*71FSFTFUFVFWFXFYFWFVFUFAFXFWFV
FY"#J7'FNFOFPF(F&!#*)71FTFUFVFWFXFYFWFVFUFAFXFWFVFYFW"#K7'FOFPF(F*FP!#))70FSFTF
UFVFWFXFYFWFVFUFTFAFXFW"#L7'FNFOFPF(F*!#()70FSFTFUFVFWFXFYFWFVFUFAFXFWFV"#M7'FM
FNFOFPF*!#')70FSFTFUFVFWFXFYFWFVFUFAFXFWFY"#N7'FMFNFOFPF(!#&)70FTFUFVFWFXFYFWFV
FUFAFXFWFVFY"#O7'FLFMFNFOFP!#%)7/FSFTFUFVFWFXFYFWFVFUFTFAFX"#P7(FOFPF(F*FPF&!#$
)7/FSFTFUFVFWFXFYFWFVFUFAFXFW"#Q7(FNFOFPF(F*F&!##)7/FTFUFVFWFXFYFWFVFUFAFXFWFV"
#R7(FMFNFOFPF(F&!#")7/FSFTFUFVFWFXFYFWFVFAFXFWFY"#S7(FNFOFPF(F*FP!#!)7/FTFUFVFW
FXFYFWFVFUFAFXFWFY"#T7(FMFNFOFPF(F*!#z7.FSFTFUFVFWFXFYFWFVFUFTFA"#U7(FLFMFNFOFP
F*!#y7.FSFTFUFVFWFXFYFWFVFUFAFX"#V7(FLFMFNFOFPF(!#x7.FSFTFUFVFWFXFYFWFVFAFXFW"#
W7)FOFPF(F*FPF&F(!#w7.FTFUFVFWFXFYFWFVFUFAFXFW"#X7)FNFOFPF(F*FPF&!#v7.FTFUFVFWF
XFYFWFVFAFXFWFY"#Y7)FMFNFOFPF(F*F&!#u7-FSFTFUFVFWFXFYFWFVFUFT"#Z7)FLFMFNFOFPF(F
&!#t7-FSFTFUFVFWFXFYFWFVFUFA"#[7)FNFOFPF(F*FPFO!#s7-FSFTFUFVFWFXFYFWFVFAFX"#\7)
FMFNFOFPF(F*FP!#r7-FTFUFVFWFXFYFWFVFUFAFX"#]7)FLFMFNFOFPF(F*!#q7-FTFUFVFWFXFYFW
FVFAFXFW"#^7*FNFOFPF(F*FPF&F(!#p7-FUFVFWFXFYFWFVFAFXFWFY"#_7*FNFOFPF(F*FPFOF&!#
o7,FSFTFUFVFWFXFYFWFVFU"#`7*FMFNFOFPF(F*FPF&!#n7,FSFTFUFVFWFXFYFWFVFA"#a7*FLFMF
NFOFPF(F*F&!#m7,FTFUFVFWFXFYFWFVFUFA"#b7*FMFNFOFPF(F*FPFO!#l7,FSFTFUFVFWFXFYFWF
AFX"#c7*FLFMFNFOFPF(F*FP!#k7,FTFUFVFWFXFYFWFVFAFX"#d7+FNFOFPF(F*FPFOF&F(!#j7,FU
FVFWFXFYFWFVFAFXFW"#e7+FMFNFOFPF(F*FPF&F(!#i7+FSFTFUFVFWFXFYFWFV"#f7+FMFNFOFPF(
F*FPFOF&!#h7+FTFUFVFWFXFYFWFVFU"#g7+FLFMFNFOFPF(F*FPF&!#g7+FSFTFUFVFWFXFYFWFA"#
h7+FMFNFOFPF(F*FPFOFN!#f7+FTFUFVFWFXFYFWFVFA"#i7+FLFMFNFOFPF(F*FPFO!#e7+FTFUFVF
WFXFYFWFAFX"#j7,FNFOFPF(F*FPFOF&F(FP!#d7+FUFVFWFXFYFWFVFAFX"#k7,FMFNFOFPF(F*FPF
OF&F(!#c7*FSFTFUFVFWFXFYFW"#l7,FLFMFNFOFPF(F*FPF&F(!#b7*FTFUFVFWFXFYFWFV"#m7,FM
FNFOFPF(F*FPFOFNF&!#a7*FSFTFUFVFWFXFYFA"#n7,FLFMFNFOFPF(F*FPFOF&!#`7*FTFUFVFWFX
FYFWFA"#o7,FLFMFNFOFPF(F*FPFOFN!#_7*FUFVFWFXFYFWFVFA"#p7-FNFOFPF(F*FPFOF&F(FPF*
!#^7*FUFVFWFXFYFWFAFX"#q7-FMFNFOFPF(F*FPFOF&F(FP!#]7)FSFTFUFVFWFXFY"#r7-FMFNFOF
PF(F*FPFOFNF&F(!#\7)FTFUFVFWFXFYFW"#s7-FLFMFNFOFPF(F*FPFOF&F(!#[7)FUFVFWFXFYFWF
V"#t7-FLFMFNFOFPF(F*FPFOFNF&!#Z7)FSFTFUFVFWFXFA"#u7-FLFMFNFOFPF(F*FPFOFNFM!#Y7)
FTFUFVFWFXFYFA"#v7.FMFNFOFPF(F*FPFOF&F(FPF*!#X7)FUFVFWFXFYFWFA"#w7.FMFNFOFPF(F*
FPFOFNF&F(FP!#W7)FVFWFXFYFWFAFX"#x7.FLFMFNFOFPF(F*FPFOF&F(FP!#V7(FSFTFUFVFWFX"#
y7.FLFMFNFOFPF(F*FPFOFNF&F(!#U7(FSFTFUFVFWFY"#z7.FLFMFNFOFPF(F*FPFOFNFMF&!#T7(F
TFUFVFWFXFY"#!)7/FMFNFOFPF(F*FPFOFNF&F(FPF*!#S7(FUFVFWFXFYFW"#")7/FLFMFNFOFPF(F
*FPFOF&F(FPF*!#R7(FTFUFVFWFXFA"##)7/FMFNFOFPF(F*FPFOFNF&F(FPFO!#Q7(FUFVFWFXFYFA
"#$)7/FLFMFNFOFPF(F*FPFOFNF&F(FP!#P7(FVFWFXFYFWFA"#%)7/FLFMFNFOFPF(F*FPFOFNFMF&
F(!#O7'FSFTFUFVFW"#&)70FMFNFOFPF(F*FPFOFNF&F(FPFOF*!#N7'FTFUFVFWFX"#')70FLFMFNF
OFPF(F*FPFOFNF&F(FPF*!#M7'FTFUFVFWFY"#()70FLFMFNFOFPF(F*FPFOFNF&F(FPFO!#L7'FUFV
FWFXFY"#))70FLFMFNFOFPF(F*FPFOFNFMF&F(FP!#K7'FVFWFXFYFW"#*)71FMFNFOFPF(F*FPFOFN
F&F(FPFOF*FP!#J7'FUFVFWFXFA"#!*71FLFMFNFOFPF(F*FPFOFNF&F(FPFOF*!#I7'FVFWFXFYFA"
#"*71FLFMFNFOFPF(F*FPFOFNFMF&F(FPF*!#H7&FSFTFUFV"##*71FLFMFNFOFPF(F*FPFOFNFMF&F
(FPFO!#G7&FTFUFVFW"#$*72FMFNFOFPF(F*FPFOFNF&F(FPFOF*FPF(!#F7&FUFVFWFX"#%*72FLFM
FNFOFPF(F*FPFOFNF&F(FPFOF*FP!#E7&FUFVFWFY"#&*72FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOF*
!#D7&FVFWFXFY"#'*72FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOFN!#C7&FVFWFXFA"#(*73FMFNFOFPF
(F*FPFOFNF&F(FPFOF*FPF(F&!#B7&FWFXFYFA"#)*73FLFMFNFOFPF(F*FPFOFNF&F(FPFOF*FPF(!
#A7%FSFTFU"#**73FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOF*FP!#@7%FTFUFV"$+"73FLFMFNFOFPF(
F*FPFOFNFMF&F(FPFOFNF*!#?7%FUFVFW"$,"74FLFMFNFOFPF(F*FPFOFNF&F(FPFOF*FPF(F&!#>7
%FVFWFX"$-"74FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOF*FPF(!#=7%FVFWFY"$."74FLFMFNFOFPF(F
*FPFOFNFMF&F(FPFOFNF*FP!#<7%FWFXFY"$/"75FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOF*FPF(F&!
#;7%FWFXFA"$0"75FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOFNF*FPF(!#:7$FSFT"$1"75FLFMFNFOFP
F(F*FPFOFNFMF&F(FPFOFNF*FPFO!#97$FTFU"$2"76FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOFNF*FP
F(F&!#87$FUFV"$3"76FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOFNF*FPFOF(!#77$FVFW"$4"77FLFMF
NFOFPF(F*FPFOFNFMF&F(FPFOFNF*FPFOF(F&!#67$FWFX"$5"77FLFMFNFOFPF(F*FPFOFNFMF&F(F
PFOFNF*FPFOF(FP!#57$FWFY"$6"78FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOFNF*FPFOF(FPF&!"*7$
FXFA"$7"78FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOFNF*FPFOF(FPF*FS7#FS"$8"79FLFMFNFOFPF(F
*FPFOFNFMF&F(FPFOFNF*FPFOF(FPF*F&FT7#FT"$9"79FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOFNF*
FPFOF(FPF&F(FU7#FU"$:"7:FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOFNF*FPFOF(FPF&F(F*FV7#FV"
$;"7;FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOFNF*FPFOF(FPF&F(F*FPFW7#FW"$<"7<FLFMFNFOFPF(
F*FPFOFNFMF&F(FPFOFNF*FPFOF(FPF&F(F*FPFOFX7#FX"$="7=FLFMFNFOFPF(F*FPFOFNFMF&F(F
PFOFNF*FPFOF(FPF&F(F*FPFOFNFY7#FY"$>"7>FLFMFNFOFPF(F*FPFOFNFMF&F(FPFOFNF*FPFOF(
FPF&F(F*FPFOFNFMFA7#FAF$,
I)Gswgtset<%F-7#FEF^[mF$,
I&swgtE=F$FHE\[lagn6(FAFEFEFEFEFEFA6(FEFEFEFEFAFYFigl6*FEF&F&F*F&FEFEFEFgu6*FEF
&FEF&F&F&F&F&F_x6*FAFYFYFXFXFYFAFAFau6$F&FEF&6&FAFAFAFAFihl6)FYFYFYFYFYFYFAFe_l
6*F&F&FEFEFEFEFEFEF[p6(F&F&F*F*F&FEF[u6)FEFAFEFAFAFAFAFadl6*FAFYFYFXFXFYFYFAF]t
FEFE6*F*F*F(FPF(F*F*F&Fggl6%FAFYFYFeilF&F&6'F&F&F&F*F*F_s6(F&F&F&F&F&F&Fct6*FAF
AFYFXFYFYFAFAF]w6$F*F&FP6%F&F*F*F[p6*FEFEFEFAFYFYFAFAFi`l6)F&F*F*F(F(F*F&Fg\l6*
FAFYFYFWFWFXFYFAFaq6&FEFAFAFYFihl6)FEF&F&F&F&FEFEF_s6'F&F*F*F*F*F[t6(FEFAFAFAFY
FAFael6)FEF&F&F&F&F&F*Fcv6*FEFEFEFAFYFYFYFYFi^l6*FAFAFAFAFYFYFYFYF]]l6)FAFYFXFW
FXFYFAFa\l6&FAFEFEFEFA6'F&F&F&F&F&F[r6*FEFAFAFAFAFAFYFAFa`l6)F&F*F*FPF(F*F&F[]l
6*FEFAFEFAFAFAFAFAFaal6&FEFEFAFYFail6)FEF&F&F*F*F*F*F[y6)FAFAFYFYFAFAFEFaal6*F&
F&F*F*F&F&F&FEF_\l6%FEFAFAFV6'FEFEFEF&F*F[q6*FEFEFEFEFEFEFEFAFS6*FEFAFAFYFYFYFA
FEFe\l6&FAFYFAFAFihl6'FEF&FEFEFEF*6(FAFYFYFYFYFAF]cl6)FEFAFAFAFAFYFYF]bl6*FEFAF
AFAFAFAFYFYFa_l6)FAFEFAFAFAFAFAFacl6%FEFAFEFY6'FEFEFEFEF&FO6'FEFAFAFEFAFihl6*F&
F&F&F*F*F*F*F*F[]l6)FAFAFYFXFYFYFAFe]l6%FAFAFYFS6'F&F&F*F*F&F_s6*FEFEFEFEFEFEF&
F&Fcq6*FEFEFEFEFAFAFEFAFefl6(FEF&F&F&F*F*F[u6(F&F*F*F*F&F&F_u6)FEFEFEFEFEFEFAFT
6*FAFAFAFEFEFEFEFEFigl6*FAFAFYFXFYFAFAFAFex6%F&F&F*FL6)FEFEFYFYFYFYFAF]al6*FAFE
FEFEFEFEFEFEFA6*F*F(FPFNFOF(F*F&Ffjl6&FEF&F*F&F[q6*FAFEFAFEFEFEFEFEFeil6*F*F(FP
FNFOFPF*F&Fijl6)F&F&F&F&F&F&F&Fcw6)FEFEFAFYFYFYFYF]al6*FEF&F&F*F*F*F*F*Fg\l6*FE
FEFEF&F&F&FEF&Fct6*FAFEFAFAFAFAFAFEF]bl6)FEFAFAFAFAFAFEFedl6)FEFAFAFYFYFAFAFe`l
6*FEFEFEF&F&FEFEFEFgp6*FEFAFYFYFYFYFAFAFa^l6(FEFAFAFYFAFEFiel6)FAFAFYFYFAFAFAF]
`l6(FEF&F&FEFEFEFL6(FEFEF*F*F*F&F_u6)FEFEFAFAFAFAFYFicl6*F*F*F(FPFPF(F*F&F[il6)
FEFEFEFAFAFAFYFidl6*FEFEFEF&F&F&FEFEFgr6(FEFAFEFAFAFAFifl6*FEFAFEFAFEFEFEFEFail
6*FAFAFAFYFAFAFEFEFe`l6'FAFAFAFYFYFafl6(FEFEFAFYFYFAF]el6(FEFEFEFEFAFEFV6*F&F*F
*F(F*F*F&FEFgal6(FEFAFAFAFAFEF]gl6(FEFEFEF&FEF&Fcp6*FEFEF&F&F&F&F&F&Fcx6*FAFAFA
FYFYFYFYFYFe\l6*F&F&F*F*F*F*F*F&Fgbl6*FEF&F*F*F*F*F&F&F_[l6*F&F&F&F*F*F&F&FEFc\
l6*F*F(FPFNFPF(F*F&Fcjl6'FEFEF&F&F&F[q6)FAFAFAFAFEFEFEFifl6)FEFEFAFAFYFAFAFecl6
*FEFEF*F*F*F*F*F&F_\l6*FAFAFAFYFYFAFAFAF][l6)FEF&F&FEFEFEFEF[p6*FEF&F&F&F&F&FEF
EF[v6)FEFEFEF&F*F*F&F[v6*F&F&F&F&F&F*F*F&F[[l6(FEFEFAFAFYFAF]fl6(F&F*F*F*F*F&Fc
v6)FEFEFEFEF*F*F&F[u6*FEFEFEFEFEF&F&FEF_q6)F&FEF&F&F&F&F&F_v6*F*F*F(FPF(F*F&F&F
[gl6(FEFAFYFYFYFYFacl6*F&F&F&F&F&F&FEFEF_w6*FAFAFAFYFYFYFAFAFey6*FAFYFYFWFXFYFA
FEFeu6&F&FEFEFEF&6&FAFAFEFEFV6(FEFEFEFEF&FEFO6)FEFEFEFEF&F&F&Fcr6*FEFEF&F&F&F*F
*F*Fcz6&F&F*F*FEF_q6&FEFYFYFAFahl6)FEFEFAFEFEFEFEFX6)FEFEF&F&FEFEFEF_p6)FAFAFAF
EFEFEFEFahl6*FEFAFAFAFAFEFEFEFeel6*FEFEFEFEFEFEFYFAFafl6(FEFAFEFAFAFEFahl6%FEFE
FEFE6(F&FEFEFEFEFEF&6*FEFEFAFAFAFAFAFYFaal6*FEFAFAFAFAFAFAFEFeal6*FEF*F*F*F*F*F
*F&F_]l6*FAFAFYFXFXFXFYFAFis6*FEF&F&F&F&F&F*F*F_z6)F&F&F*F(F(F*F&Fc\l6*F&F&F*F(
F(F*F*F&Fgdl6*FAFXFXFVFWFXFYFAFio6'FAFYFYFYFYFeel6(FEFEF&F&F&F&F[s6)FEFEFEF&F*F
*F*F[w6*FEFEF&F&F&FEFEFEFcr6*FEFEFYFYFYFYFYFAFa]l6&FEFEF*F&F_p6(FEFAFAFAFAFAFee
l6(FEFAFAFAFYFYFedl6)FEFEFEFEF&FEF&F[q6)FEF&F&F*F&F&F&F[x6)FEFAFAFEFEFEFEFeil6)
FAFEFAFAFEFEFEFahl6*F*F*F(FOFPF(F*F&Fcil6)F&F&F*F(F*F&FEF_z6*FEF&FEF&FEFEFEFEF_
p6*FAFAFYFYFAFEFEFEFi`l6*F&F*F*F(F*F&FEFEF[_l6(F&F&F&F&F*F*Fcu6(FEF&F&F*F*F*Fgu
6)FEFEFEFEFEF&F&F[q6*F*F*F(FPF(F(F*F&Fchl6'FEFAFAFYFYFefl6&F&F*F*F*Fgr6*FEFEFEF
EFEFEFAFAF]hl6(FAFEFAFAFAFEFagl6*FEFAFAFYFYFAFAFEF]^l6'F&F&F*F*F*Fgs6'FYFYFYFYF
AFeel6*FAFYFYFYFYFYFYFAF]\l6)FEFAFEFAFEFEFEFeil6)FEF&F&F&F*F*F*F_x6(FEF&FEF&F&F
&Fgr6(FEFEFAFEFEFEFX6*FEFEFEFAFAFAFEFEFifl6*FEFEFEFEFAFAFYFAFecl6)FEFEFEFEFEFEF
&FM6*FEFEFEF&F&F&F&F&Fgv6&FAFAFYFYFagl6(FAFAFYFYFYFAFacl6)FAFAFAFAFAFAFAF]bl6)F
AFYFYFYFYFYFYFe_l6*FEFEFAFYFYFYFYFAF]^l6*FEF&F&F&F&F*F&F&F_y6*FAFYFXFVFWFXFYFAF
ap6)FEFEFEFEF&F*F*F[u6(FEFEFEFEFEFEFE6)F&F&FEFEFEFEFEFL6*FEFEFEFAFAFAFYFYF]al6(
F&F&F*F(F*F&Fcv6)FEF&F&F&F&F*F*Fcw6*FAFAFAFYFYFAFAFEF]]l6*F&F*F*FPF(F(F*F&Fcgl6
)FEFEFEF*F*F*F&F[w6&FEFAFAFAFail6*F&F&F*F*F*F&FEFEF[\l6'FAFAFYFYFYFiel6)F&F*F*F
*F*F*F*F[z6*FEFEFEFEFEF&F*F*F_v6&FEF&F*FEF[p6*F&F&F*F(F*F&F&FEF__l6&F*F*F*F&Fgq
6(FAFAFYFYFYFYF]cl6(FEFAFAFYFYFAF]dl6)FEFEFAFAFYFYFAFibl6*F&F&F&F&F&FEFEFEF_u6)
FEFAFAFYFYFAFEFial6*FAFYFYFXFYFYFYFAF]u6*FAFYFXFWFXFYFYFAFar6*FEF&F&F&F&F&F&F&F
_z6*F&F&F&F*F*F&F&F&Fc^l6)F&F&F&F*F*F*F*F_y6*FAFAFAFAFAFYFYFAFe^l6*FEFYFYFYFYFY
FYFAFa\l6&F&F*F(F*F[s6)FYFYFXFWFXFYFAF]\l6*F&F&F*F(F*F&FEFEFc]l6*F&F*F*FPFPF(F*
F&F_hl6&F&F*F&F&Fgp6'FAFAFAFAFYFifl6*FEF&F&F&FEFEFEFEF[r6*FEFEFEF&F&F*F*F&Fcx6*
FEFEFAFYFYFYFAFAFa_l6)FAFAFAFYFYFAFEF]al6'FAFYFYFYFAFiel6'F*F*F*F*F&F[t6(FEFYFY
FYFYFAFacl6&F&F&F*FEFcp6*F&F*F(FPF(F*F&F&F_fl6)FEFEFAFAFYFYFYFial6&FYFXFWFYFiel
6)FEFAFAFYFAFAFEF]cl6*F&FEF&FEFEFEFEFEF[p6(FEFAFAFEFEFEFS6)FAFYFYFXFYFYFAFa]l6)
FEFEFEFEF&F&F*Fgs6*FEFEFEFEF&F&F&F&F[u6*FEFEF&F*F*F*F*F*F_\l6)FAFYFYFXFYFAFEFe^
l6*FAFAFYFXFYFAFAFEFaz6)FAFAFEFEFEFEFEFS6*F&F&F&F&F&F&F*F&F[z6*F&F*F*F(F(F(F*F&
Fgfl6(FEFEFEF*F*F&Fgs6(FAFYFYFYFAFAFadl6)FEF&F&F&F*F&F&Fcv6)F&FEF&F&F&FEFEF[s6*
FAFAFAFYFAFAFAFAFi\l6(FEF&FEFEFEFEF*6(FEFEF&F&FEFEF[p6(FEFEFEFAFAFAFigl6*FEFEFE
F&F*F*F*F&Fgy6*FEFAFAFYFYFAFAFAFa\l6'FEF&F&F&F&Fgq6'F&F&F&F*F&Fgr6)FEFAFAFAFAFA
FYF]cl6)FAFAFAFAFYFYFYFi`l6)FEFEF&F&F*F&F&F[v6*FEFAFAFAFAFAFEFAFebl6)FAFAFAFYFY
FYFAFi^l6*FEFEFEFEFEFAFEFEFU6*FEFEFEFAFAFYFYFAF]al6*F&F&F&F*F*F*F*F&Fcal6*F&F*F
*FPF(F*F&F&F_el6(FEFEF&F&F&F*Fcs6)FAFAFAFYFYFAFAFi_l6*F&F*F*F*F*F*F*F*Fg]l6*F&F
*F*FPF(F*F&FEF[dl6%FYFYFAFeil6)F&F&F&F&F&F&FEF[v6)FEFEFEFAFAFYFYFecl6*F*F*FPFOF
PF(F*F&F]jl6'FEFAFYFYFYF]fl6(F&F&F&F&F&F*Fgt6)FEFEFEFEFAFYFYFedl6'FEF&F&F&FEFcp
6(FAFAFAFAFYFAFidl6)FEFEFEFEFEF&F*Fcr6*F&F&F&F&F&F&FEF&F[x6(F&FEF&FEFEFEFM6*F*F
*F(FPF(F*F&FEF[fl6*FYFXFWFUFVFWFXFAFZ6)FEF&FEF&F&F&F&F_u6*FEFEFEF&F&F&F&FEFgt6*
FEFEFEFEF&F&F*F&F[v6$FAFAFX6)FEFAFAFAFAFEFEFafl6*F&F&F&F&F&F&F&F&F_[l6*FEFEFAFY
FYFYFYFYFa]l6)F&F&F&F*F&FEFEFgu6&F&F&F*F*F_r6'FEFEFAFYFYF]gl6)FEF&FEFEFEFEFEF*6
*FEFEFAFAFAFYFYFAF]`l6)FEFEFEF&F&F&FEF_r6)FEFEF&F*F*F*F&Fgw6*F&F*F*F(F(F*F*F&Fc
el6*F&F*F(FPFPF(F*F&Fghl6'FEFYFYFYFAF]fl6(FEFEF&F*F&F&Fgs6*FAFAFAFAFYFYFYFAFi]l
6*FEFEFEFEFEF&FEF&Fcq6%F&F&F&FN6'FEF&F*F&F&F_r6)FEFEFEF&FEFEFEFP6)FEF*F*F*F*F*F
&Fcy6*FEFEF&FEFEFEFEFEF(6*FEFEFEF&F&F*F*F*Fgy6*FEFEFEFEFEF&F*F&Fgt6*F&F&F*F*F*F
&F&FEFg]l6*FYFYFWFVFWFXFYFAFco6*F*F(FPFOFPF(F*F&F`jl6'FEF&F&F*F*F[s6)FEFEF&F&F&
F&F*Fgu6*FEF&F&F*F*F*F&FEF[]l6*FAFYFYFXFYFAFAFAFew6)FEFAFAFAFEFEFEF]hl6)FEFYFYF
YFYFYFAF]`l6)FEFEFEFAFYFAFAFedl6*FEFAFAFAFAFAFAFAFa_l6&FEFEFEFAFW6(FEFEFEFEF&F*
Fgq6(FAFAFAFYFYFYFecl6)FEF&F&F&F&F&F&Fgv6)FEFEF&F*F*F*F*Fcx6*FEFEFEFEFAFAFAFAFe
dl6*FEF&F&F&F&F&F&F*F_y6*FEFEFAFAFYFYFYFAF]_l6*FAFYFXFWFXFYFAFEFet6$F&F*FP6%FAF
YFAFS6&FAFAFYFAF]hl6)F&F&F&F&F*F&F&F[w6*FEFEFEFEFEF&FEFEFN6*FEFEFEFAFAFYFYFYFi_
l6)F&FEF&FEFEFEFEFL6*FEFEFEFEFEFAFAFYFidl6*FAFAFAFYFYFAFEFEFi^l6(F&F&F*F*F*F*Fc
v6*FEFEFAFAFAFAFEFEF]el6(FAFAFAFYFYFAFecl6)FEF&F*F*F*F&F&Fgw6*FAFAFYFYFYFAFEFEF
e]l6)FEFEFAFAFEFEFEFail6*FEFEFAFAFAFAFAFAF]al6*FEFEFEF&F*F*F*F*Fgz6*FEF&F&F*F&F
&F&FEF[z6(FAFAFAFEFEFEFihl6)FEFAFAFYFYFYFAFe_l6*FEF&F*F*F*F*F*F*F_]l6(FEFEFEF&F
*F*Fgs6*FAFAFYFYFYFYFYFYF]\l6(FEFEFAFAFYFYF]el6*FEFEFEFEFEF&F&F*Fgt6*FEF&F&F*F*
F&F&FEFc[l6)FEFEFEFAFYFYFAFecl6*FEFEFEFEF&F*F*F*Fgx6*FYFXFXFVFWFXFYFAFfo6*FEFEF
EFEFEFEF&FEFM6*FEFEFEFEFEF&F&F&F_s6(FAFEFAFAFEFEFihl6)F&F&F&F*F&F&FEF_w6)FEFEFE
F&F&FEF&F_r6*FAFAFYFYFAFAFAFEFa]l6*FAFAFAFYFYFYFAFEFa[l6*FAFYFYFWFXFYFAFAFat6'F
EFAFAFAFYFagl6*FEFEF&F&F&F&F&F*F_x6*FEF&F&F*F*F&F&F&F_]l6*FYFYFXFWFXFYFAFAFer6*
FAFYFXFWFXFXFYFAFeq6'FEFEFEFEFEFE6(FYFYFYFYFYFAFibl6(F&F&F*F*F&F&Fgu6)F&F&F&F&F
*F*F&F[x6)FEFEFAFAFAFEFAF]fl6*FEFAFAFAFEFEFEFEFegl6*FYFXFWFUFVFWFYFAFgn6%FAFAFE
FW6'FAFAFYFYFAFafl6(FEF&F&F*F*F&Fcu6*FEF&F&F&F&F&FEF&F[w6)F&F&F&F*F&F&F&Fgx6%FA
FEFEFA6(FAFAFEFEFEFEFT6)FEF&F&F*F*F*F&F[z6*FEFAFYFYFYFYFYFYFa\l6&FAFAFYFEF]il6*
FYFYFXFVFWFXFYFAF]p6&FEFAFYFYFigl6(F&F&F&F*F*F&F[v6(FAFAFYFYFAFEFedl6)F&F*F*F(F
*F*F&F_\l6(FEFEFEFEFEFAFU6*FEFEF&F&F*F*F*F&Fcz6'FAFAFEFEFEFU6)FEFEFEFAFAFEFAFag
l6*FEFEF&F&F&F&F&FEFcv6*FAFAFAFAFAFAFAFYFe_l6*F&F&F*F*F*F*F&FEFc_l6'F&F&F*F&F&F
cr6(FEFAFYFYFYFAFicl6)F&F&F&F&F&F*F&F_w6*F&F&F&F&FEFEFEFEFcs6(FAFYFYFXFYFAFibl6
*F&F*F*F(F*F&F&FEFc`l6*F&F&F*F(F(F(F*F&Fgel6%FEFEF&F(6&F&F&FEFEFO6)FEFEFEFEFEF&
FEFN6*FAFAFYFYFYFYFAFAFax6&FAFAFAFEFS6*FEFEFEFEF&F&F&FEF[s6*FEFEFEF&F&F&F&F*F_w
6(FEF&F&F*F&FEFgs6*FEFEFEFEFEFEFAFYFafl6)FEF&F&F*F&F&FEFcv6*FEFEF&F*F*F*F*F&Fc[
l6)FEF&FEF&FEFEFEF[p6)FAFEFAFAFAFAFEF]el6(FEFEFEF&F&F&Fgq6)FAFAFAFAFAFYFAFabl6)
FEFEFEFEFAFEFAFehl6*FEFEFEFEFEF*F*F&F_v6*F&F&F*F(F(F*F&FEF_bl6'FAFAFAFAFAFegl6(
FEFAFAFAFAFYFael6*FEFEFEFYFYFYFYFAFi^l6*FEFEFEFEFEFYFYFAFacl6*FEFEFEFEFEFAFEFAF
]hl6*F*F(FPFNFOFPF(F&F\[m6'FEFEFEF*F&F[q6)FEFEFEFYFYFYFAFebl6*FEFEFAFAFAFYFAFAF
]al6(FEFEFEFAFEFEFW6)FAFAFAFAFAFYFYFeal6)FAFAFAFAFYFYFAFeal6*FEFEFAFAFAFAFYFYF]
`l6*FEFAFYFYFYFYFYFAFi\l6*FEFEF&F&F&F&FEF&Fgu6*FEFEFEFEFAFYFAFAFacl6(F&F*F*F(F*
F&Fgv6*FAFAFYFYFYFAFAFEFi[l6)F&F&F&F&F*F*F*Fgx6*FAFAFYFYFYFYFYFAFiv6)FAFAFYFXFX
FYFAF]]l6*F&F*F*F(F*F*F&F&F_cl6*FEFEFEFEFEFAFAFAFafl6&FAFXFWFYF]fl6)FAFAFYFXFYF
AFAFa^l6'FEFAFYFYFAFefl6(F&F&F&F*F*F*F[v6)F*F*F*F*F*F*F&F[z6*FEF&F&F&F&F*F*F*F_
[l6*FEFEFEFEFEFAFYFAFidl6*FEFEFEFEF*F*F*F&Fgx6)FEFEFEFEFAFAFYFiel6*FAFAFYFYFYFA
FAFAFiy6)F&F&F&F&FEFEFEFgr6*FAFAFAFYFYFYFYFAF]x6*FYFYFXFWFXFYFYFAFiq6(FAFAFAFYF
AFAFadl6)FEFEFAFAFAFYFYFibl6)FEFAFAFYFYFYFYFe`l6'F&FEFEFEFEF&6'FEF&F*F*F&F[s6(F
EF&F*F*F*F&Fgu6)F&F&F*F*F&FEFEF[w6*FAFYFYFXFYFAFAFEF]y6%F&FEFEF&6'FEFEFEFEFAFV6
'FEF&F*F*F*Fcs6)FEFAFYFYFYFAFAFial6*FEF&F&F*F*F*F&F&Fg^l6)FEFEFEFAFEFEFEFW6*FEF
EFEFEFEFAFYFYFacl6'F&F&F&FEFEF_p6(FEFEFAFYFAFAFiel6*F&FEF&F&F&F&F&F&Fcy6*F&F&F&
F*F&F&F&FEF[[l6*F&FEF&F&FEFEFEFEFgq6&FEFEF&F*F_p6*FEFEFEFEFEFEF&F*F_s6'FAFYFYFA
FAFifl6(FEFEFEFEFAFAF]il6(FEFEFEF&F*F&Fgr6*FEF&F*F*F*F*F*F&Fg\l6&F&F&F*F&Fcq6)F
EFEFAFAFAFAFEFiel6)FAFAFYFYFYFYFAF]^l6)FEFAFAFAFYFAFAF]cl6*FEFAFEFAFAFEFEFEFagl
6'FEFAFAFAFAFigl6(FEFEFEFAFAFEFail6)FEFEFEFEFEFEFEFE6&FAFYFWFYFafl6*FYFXFWFUFVF
WFXFYFQ6(FEFEFEFAFEFAF]il6)FEFEF&F&F&F*F*Fgv6&F&F*FPF*F_s6)FEF&F&F*F*F&FEFgw6(F
EFEFAFAFEFEFeil6(FAFAFAFAFEFEFegl6(FEFEFEFAFYFYFiel6)FEFEF*F*F*F*F&Fcx6)F*F*F(F
PF(F*F&Fc]l6(FEFEFEFEFYFAFigl6*FEFEFEFAFEFEFEFEFW6*FEFEF&F&FEFEFEFEFcp6)F&F&F*F
(F*F&F&F_[l6'FEFEFAFAFYFigl6(F&F&F&F&FEFEF[r6*F&F&F&F&F&F&F&F*F[z6&F*F(FPF*Fgs6
(FEF&FEF&F&FEF_q6*FAFYFYFXFXFYFAFEFev6)FEFEFAFAFAFEFEFegl6*F&F&F&F&F&F&F&FEF_y6
*FAFAFAFAFAFAFEFAFeal6)FAFEFAFAFAFEFEFefl6'FAFAFAFYFAFifl6'F&F&F&FEF&Fcq6*FAFEF
AFAFAFAFAFAF]`l6'FEF&F&F&F*F_r6*FAFAFAFAFAFAFAFAFa^l6*FEF&F&F&F&F*F*F&F_z6*F&F&
F&F&F*F*F*F&Fg[l6*FEFAFAFYFYFYFYFAFay6*FEFEFEFAFAFAFEFAF]el6*FAFYFYFXFYFAFEFEFe
z6&FEFAFYFAFehl6&FEFAFEFAFT6'F&F&FEFEFEFN6(FEFEF&F&F*F*Fct6(FEFAFAFYFAFAFidl6)F
EFAFAFAFAFYFAF]cl6$FAFYFW6(FEFEFEFEF&F&Fcp6(FEFEFAFAFAFEF]hl6)F&FEFEFEFEFEFEF&6
*FAFAFYFYFYFYFAFEF]z6'FEFEFEFAFEFW6)FEFEFEFAFAFEFEF]il6)FEF&F&F*F*F&F&F[y6)FEFA
FEFAFAFEFEFigl6*FEFAFAFYFAFEFEFEFicl6&FAFAFEFAFeil6(FAFYFYFYFYFYFibl6(FEFEFYFYF
YFAFadl6*FEFAFEFEFEFEFEFEFY6*FEFEF&F&F&F*F&F&Fcx6)FAFAFAFYFAFAFAFi`l6*FYFXFWFVF
WFXFYFAF`o6(FAFAFAFAFAFEFafl6)F&F&F&F&F&FEFEF_t6*FAFAFAFAFAFEFEFEFadl6*FEFAFAFA
FAFYFYFYFa^l6*FEFAFAFYFYFYFYFYFi\l6&F&F&F&FEFL6&F&F&F&F&Fgp6)F&F*F*F*F*F*F&Fgy6
*FEFEFEFEFAFAFAFYFecl6'FEF*F*F*F&Fcs6'FAFAFYFAFAF]gl6*FEFEFAFAFAFAFAFEF]cl6*FAF
AFAFAFAFAFYFYFe^l6'FEFAFEFEFEFY6'FAFAFAFAFEFahl6(FEFEFEF&F&F*Fgr6*FAFEFAFAFAFAF
EFEF]dl6*FYFXFWFUFWFXFYFAF]o6(FEFEF&F*F*F&Fct6*FEF&FEFEFEFEFEFEF*6*F&F&F&F*F*F*
F&F&F[`l6*FEFEFEFEFAFAFEFEFehl6*FYFXFWFUFVFXFYFAFjn6'F&F&F&F&F*Fgr6'F&F*F*F*F&F
gs6)FEFEFEFEF&FEFEFO6*FEFEFEFEFAFEFEFEFV6*FEFEF&F&F&F&FEFEFct6'FEFEFYFYFAF]gl6*
FEFEFAFAFAFEFEFEF]gl6*FEF&F&F&F*F*F&F&F[z6)F&F&F*F*F&F&FEF_x6&FEF&F&FEFN6(F&F&F
&F*F&F&F_u6(FAFAFYFXFYFAF]cl6(FEFEFAFAFEFAF]hl6*FEFEFEFAFAFYFAFAF]bl6*FEFEF&F*F
*F*F&F&F_z6)F&F*F*F(F*F&F&Fg[l6*F&F*F*FPF(F*F*F&Fcfl6)FEFEFAFAFAFAFAF]dl6)FAFAF
AFYFYFYFYFa`l6(FAFAFAFYFAFEFael6(FAFAFAFAFAFAF]el6(FEFEFAFYFYFYFadl6)FEF&F&F&F&
F*F&Fcv6)F&F&F&F*F*F*F&Fgz6*FEFEFAFAFYFYFYFYF]^l6*FAFYFYFYFYFYFYFYFi[l6'FEFEFAF
EFEFX6&FEFEFAFAFT6*FEFEFEFAFAFAFAFEFidl6*FEFEFEF*F*F*F*F&Fgz6(FAFEFAFAFAFAF]fl6
)FEFAFAFYFAFEFEFidl6%F&FEF&FO6(FEF&F&F&F*F&F_t6%FAFAFAFU6&FEFEFAFEFX6&FEF&FEF&F
M6'FEFEF&F*F&Fgq6)FEFEF&F&F&FEFEF[r6)FEF&F*F*F*F*F*Fcy6&F&F*F(F&Fcr6*FEFAFEFAFA
FAFAFEFacl6'FEFAFYFAFAFagl6*FEF&F&F&F*F*F*F&F_[l6*FEFEFEFEF&F&FEF&F[s6*F&F&F&F*
F&FEFEFEF[w6*FYFYFXFWFXFXFYFAF]q6$FXFYFU6'FAFEFEFEFEFA6(F&F&F*F*F*F&F_v6*F&F&F&
FEFEFEFEFEFgq6*FEFEFEFAFAFAFAFYFabl6*F&F&F&F&F*F*F&F&Fcz6)FAFAFYFYFAFEFEFebl6'F
EFEFAFAFAFehl6(FEFAFAFAFEFAF]gl6)FEF&F&F&FEFEFEFcq6)F&F&F&F&F&F&F*F_w6)F&F&F*F*
F*F&F&Fcz6*FEFEFAFAFAFAFYFAFaal6*FEFEFAFAFYFYFAFAF]`l6)FAFYFYFXFXFYFAFi\l6*F&FE
F&F&F&F&FEFEFcu6*FEF&F&F*F&F&FEFEFgw6$F(F&FO6(FEF&F&F&FEF&Fcr6)FEFEF&F&F&FEF&Fc
s6(F&FEF&F&FEFEFgp6%F*F*F&F[p6)F&F&F*F(F*F*F&F[\l6)FEFEFEFEFEFAFYF]gl6*FEFEFEFE
FEFEFAFEFT6)FEFEFEFAFYFYFYFebl6(FEF&FEF&FEFEFL6)F&FEF&F&F&F&FEFct6'FEFAFAFYFAFa
gl6(FEF&F&F&F&F*F_t6*FAFAFAFAFAFYFYFYFi]l6*FEF&F&F*F*F*F*F&F_`l6*FEFAFAFYFAFAFE
FEFial6*F&F&F*F(F(F*F&F&Fccl6$FAFEFA6(FEF&F&F&F&F&F[t6)FAFAFYFYFYFAFAF]_l6)FAFA
FYFXFYFAFEFa_l6*F&F&F*F(F*F*F*F&Fgcl6(FAFAFAFAFYFYF]dl6(FEF&F*F*F&F&Fgt6)FEFEFE
FEFAFEFEFV6)FEFEFEF&F&FEFEFcp6)F&F*F*F*F*F&F&F_x6*FEFAFAFAFAFAFEFEFecl6*FEFEFEF
&FEFEFEFEFP6*FEFAFAFEFEFEFEFEFail6*F&F&F&F*F&F&FEFEF[y6*FYFYFXFWFXFYFAFEFes6'FE
F&F&F*F&F_r6(F&F&F&FEFEFEFgp6&FEFEF&F&FM6'F&F*F*F&F&Fgr6)FEFEFEF&F&F&F&F[t6*FEF
&F&F*F*F&FEFEFgy6*FEF&F&F*F&F&F&F&Fg[l6)FEFEFEFAFAFAFAFeel6)FEFEFAFYFYFAFAFibl6
(FEFEFAFAFAFAFefl6(FEF&F&F*F&F&Fgt6*FEFAFAFAFYFYFYFYFe]l6'FEFEF&FEFEF(6'FEFEF&F
&F*Fgq6*FYFYFYFYFYFYFYFAFi[l6*FAFAFAFAFAFYFAFAFi_l6*FAFAFAFYFAFEFEFEFebl6*F&F&F
&F*F&F&F&F&Fg\l6%FEF&FEF*6)F&F&F*F*F*F*F&Fc[l6&FAFYFXFYFefl6*FAFAFYFYFAFAFEFEF]
_l6&FAFAFAFYFehl6)FEF&FEF&F&FEFEFgq6&F&F&F&F*F[q6'FEFAFAFAFEF]il6*FEFEFEFEF&FEF
EFEFO6*FEFAFAFAFAFYFAFAFa`l6(FEFEFEFEFEF&FN6)FEFEFEFAFAFAFEFagl6)FAFAFAFAFAFEFA
F]dl6)F&FEF&F&FEFEFEF_q6%FEFEFAFX6&F&F*F*F&F[r6*FEFEFAFAFEFEFEFEF]il6*FEFAFAFAF
YFYFAFAFe_l6&FYFYFYFAFigl6*FEFEFEFEFEFEF*F&F_s6)F&F&F*F*F&F&F&Fcy6'FEFEFEFAFYFe
hl6*FEFAFAFAFAFAFAFYFa`l6*FEFAFAFYFYFAFEFEFi_l6%FEFAFYFT6(FEFAFAFYFYFYFicl6(FEF
EF&F&FEF&Fcq6*F&F&F&F*F*F*F&FEF_^l6*FAFAFYFXFYFYFYFAFiu6)FAFEFEFEFEFEFEFA6)FEFE
FEFEFAFAFEFihl6)FEFEFEFEF&F*F&Fgs6*FAFYFYFYFYFYFAFAFi]l6)F&F*F(FPF(F*F&F_]l6)FE
FEF&F&F*F*F*Fgw6)FEFEFEFEFAFYFAFiel6*FEF&F&F&F&FEFEFEF[t6*FEFEFAFAFAFYFYFYF]_l6
*F&F&F&F&F&F&F*F*F[[l6*FEFEFEFEFYFYFYFAFi`l6)FEF&F&F*F&FEFEFgt6*F&F&F*F(F*F*F&F
EFg`l6%FEFYFAFT6*FEFEFAFEFEFEFEFEFX6*FEFEFEFAFAFEFEFEFihl6*FAFAFAFAFAFAFEFEFabl
6*F&F*F*F*F*F*F*F&Fc]l6(FAFAFAFAFEFAFafl6*FEFAFAFAFYFYFYFAFa^l6&FAFYFXFAF]gl6)F
EFEFEF&F&F*F&Fgt6*FEFAFEFAFAFAFEFEFael6*F&F&F&F*F*F&FEFEFgz6%FEF&F*FM6$F(F*FN6(
FEFEF&F*F*F*F_u6*F&FEFEFEFEFEFEFEF&6*F&F*F(FOFPF(F*F&F_il6'FAFAFAFEFEFail6(F&F&
FEFEFEFEFM6(FEFEFAFAFAFYF]fl6&FAFYFYFEFahl6(FEFEF&F&F&FEFcq6*FEFEFEFEF&F&F*F*Fc
w6$FEFAFY6'FEFEF*F*F&Fcr6*F&F&F&F&F&F*F&F&Fgy6)F&F&F&F*F*F&FEFcx6*FYFYFXFWFWFXF
YFAFep6)FAFYFYFYFYFYFAFi_l6*FEFAFAFYFYFYFAFAFiz6&FEFEFEFEFE6&FEFAFYFEFeil6*F&F&
F*F*F&F&FEFEFcz6*F&F*F*F(F*F&F&F&F[bl6)FAFAFAFAFAFAFEFecl6)FEFAFYFYFYFYFYF]`l6*
FAFAFYFXFXFYFAFEFaw6&FEF&F*F*Fgq6'FEF&F&FEFEFM6'FEFEFAFYFAFigl6)FEFEF&F&F*F*F&F
gv6*FEF&F&F&F&F&F&FEF[x6'FEFEFEFYFAFehl6)FAFAFAFYFAFEFEFicl6'FEFEF&FEF&F[p6(FEF
AFAFAFEFEFehl6)F&F&F&F&F&F*F*F[x6)FEFEFAFAFAFYFAFicl6*F&F&F&F&F*F*F*F*Fc\l6*FEF
EFEFEFAFYFYFAF]bl6)FEFEFEF&F&F*F*F[v6*F&F&F*F*F*F*F*F*Fc]l6(FAFAFAFAFAFYFidl6(F
EFEFEFAFYFAFifl6*F*F(FPFNFOFPF(F*FJ6$FEFEFE6&FEF&FEFEF*6)F&F&F*F*F*F&FEF_y6*FAF
YFYFWFXFXFYFAF]r6*FEFEFEF&F*F*F&F&Fgx6*FAFAFYFXFXFYFYFAFitFDF*6&FEFAFEFEFY6&FEF
&F&F&F_p6'FEFEFEF&F&F[p6)FAFAFAFYFAFAFEFabl6*FAFAFAFYFAFAFAFEFe^l6$FYFAFW6%FEF*
F&FM6(FEFEF&F&F*F&Fcs6)FAFYFYFWFXFYFAFe\l6&F&F&FEF&F[p6)FEF&F&F&F&FEF&Fct6*FEFE
F&F&F*F*F*F*Fc[l6*FEFEFEFAFYFYFYFAFi_l6*F&FEF&F&F&F&F&FEFcw6*FAFYFXFWFWFXFYFAFi
p6'FAFAFAFEFAF]hl6(FEFEF&FEFEFEF(6)FEFEFEFAFAFYFAFidl6*F&F(F(FOFPF(F*F&Fgil6(FE
FEFEFAFAFYFifl6*FEFEFEFEFAFYFYFYFi`l6*FEF&F&F&F*F*F*F*F[\l6)FEFAFAFYFAFAFAFeal6
*FEF&FEF&F&FEFEFEF_r6'FEFEFEFAFAFeil6)FEFEF&F&F&F&FEFgs6(FEFEFEF&F&FEF_p6(FAFAF
YFYFAFAFicl6)FAFAFAFAFAFAFYFabl6*FEFEFEFEF&F&F&F*F[v6)FEFEF&F*F*F&F&Fgv6)FAFYFY
FXFYFAFAFi]l6)FAFYFYFYFYFAFAFaal6*FEFEFEFEF&F*F*F&Fcw6*FEFEFEFEF&F*F&F&F_v6)FEF
&FEF&F&F&FEFcs6&FEF*F*F&F_q6(FEF*F*F*F*F&F_v6)FEFEFEFEFEFAFEFU6)FEFEFEFEFEF*F&F
cr6*FEF&F&F&F&F&F*F&F_y6*FAFAFYFXFYFYFAFEFix6*F&F*F*F(F(F*F&FEF[cl6*F&F*F(FPF(F
(F*F&F[hl6'F&F&F&F&FEF_q6)F&F&F&F&F&FEF&FcuF6F(6*FEFEFEF&F&F&F*F*Fcx6*FAFAFYFYF
AFAFAFAFe[l6)FEFAFAFAFYFYFYFaal6*FEFEF&F&F*F*F&F&Fcy6*F&F*F(FPF(F*F*F&F_gl6%FAF
EFAFV6)F&F&F&FEFEFEFEF_q6)FEFEFEF&F&F&F*Fgt6*FEFAFAFYFAFAFAFEFe_l6*FAFYFXFWFXFY
FAFAFas6)FAFAFAFAFAFEFEFael6)FEFEFEFEFYFYFAFedl6)FAFAFAFAFYFAFAFebl6*FEFEFEF&F&
F&F*F&F_w6(F&FEF&F&F&F&Fcs6)FAFAFYFYFYFAFEFa`l6)FEFEFEFEF&F&FEFgp6*FAFAFAFAFAFA
FAFEFa`l6*FAFYFYFWFXFYFYFAF]s6*FAFYFYFXFXFXFYFAFir6'FEFEF&F&FEFL6(FEF&F&F&F&FEF
cr6(F&F*F*F*F*F*Fgv6(FEFEFEFEF*F&Fgq6)FEF&F&F&F&F&FEF[u6*FEFEFEFEFAFAFAFEFefl6*
FAFAFAFAFAFAFYFAFe_l6*FAFAFEFEFEFEFEFEFeil6'FEF&F&FEF&Fgp6&FEFEF&FEF(6'FEFEFAFE
FAFeil6*FAFEFAFAFAFEFEFEFiel6*FAFAFYFXFXFYFAFAF]v6)FEFEFEFEFAFAFAF]gl6*FEFEFAFA
FAFAFEFAFicl6)FEFAFEFAFAFAFEF]fl6*F&F*F*F(F*F*F*F&Fcdl6)F&F*F*F(F*F&FEF[[l6*F&F
&F*F(F*F*F&F&Fcbl6%F&F&FEFP6*FEFAFAFAFAFYFYFAFa_l6*F*F(F(FOFPF(F*F&Fjil6%FEF&F&
FO6&FEFAFAFEFU6'FEFEFAFAFEFS6(F&F&F&F&F&FEF_s6)F&F&F&F*F*F&F&Fgy6*FEFEF&F&F&F&F
*F&F_x6*FAFEFAFAFEFEFEFEFigl6*F&FEF&F&F&FEFEFEFgs6*FAFAFYFXFYFAFEFEF]\l6&FAFYFY
FAFegl6'FEFEF&F*F*Fcr6(FEFAFEFEFEFEFY6(FEFAFYFYFAFAFidl6*F&F&F*F*F&FEFEFEFgx6*F
&F&F*F*F*F&F&F&Fg_l6*FAFYFYFXFYFYFAFEFiw6(FEFAFEFAFEFEFS6(F&F&F&F*F&FEF_t6)FEFA
FEFEFEFEFEFY6)FEFEFEFEFEFAFAFehl6)FEFEFAFYFYFYFAFial6)FEFAFAFAFAFEFAF]el6*F*F*F
*F*F*F*F*F&Fg]l6*FEFEFEFAFAFAFAFAFibl6*FEFEF&F&F&F*F*F&Fcy6(FAFEFAFEFEFEFT6&FEF
EFYFAFail6)FEFEF&F&F&F&F&Fcu6)FEFEFEFEFEFYFAF]gl6*FAFAFAFAFYFYFAFAF]_l6(FEFEFEF
&FEFEFP6(FEF&F*F*F*F*F_v6(F&F&F&F&FEF&F_s6*FEFEF&F&F&F&F*F*Fcy6(F&FEF&F&F&FEF_r
6*FEFAFAFYFAFAFAFAFi]l6*F&F&F&F&F&F*F*F*Fg[l6)FEF&F*F*F*F*F&F[y6)FEFEFEF&F*F&F&
F[u6*FEFEFEFEFEFEFEF&FL6*FEFEFEF&F&F*F&F&Fcw6*F&F&F*F*F*F*F&F&F_al6*F&F&F*F(F*F
&F&F&F[al6%F&F*F&FL6&FEF&F&F*Fgp6(FEF&F&F&FEFEF[q6(F&F&F&F&F*F&Fgt6)FEFAFYFYFYF
YFAFe`l6*FEFEFEFEF&F&FEFEF[q6)FEFAFAFAFYFYFAF]bl6*F&F*F*F(F(F*F&F&F_dl6*FEFEFEF
EFEFAFAFEFahl6'FEFEFEF&FEFP6*FEF&FEF&F&F&F&FEF_v6*F&F&F*F*F&F&F&F&F[^l6(FEFEFEF
YFYFAFiel6)F&F&F*F*F*F*F*Fgy6*F&F*F*F*F*F*F&F&Fg[l6)FAFEFAFEFEFEFEFS6)FEFEF&F&F
&F*F&Fgu6)FEF&F&F&F*F*F&Fcw6&FAFYFYFYFifl6*FEF&F&FEFEFEFEFEF_p6&F&F(FPF*Fcs6$FX
FAFV6&FEFEFEF&FP6'FEFAFAFEFEFT6(F*F*F*F*F*F&Fgv6*FAFAFAFAFEFEFEFEF]fl6*FAFYFYFX
FYFYFAFAFav6*F&F*F(FPF(F*F&FEF[el6)FEFAFAFAFAFAFAFibl6)FAFAFYFYFYFYFYFi_l6*FEFE
FEFEFEFEFEFEFEFAFA6)FEFEF&FEFEFEFEF(6*FEFEFEFEFAFAFYFYF]bl6*FEFEFEFAFAFAFYFAFab
l6*FEF&FEF&F&F&FEFEF_tF$,
I)levelset=F$6#F@E\[l$FE7"F&F-FAF^[mF$,
I"C=%'sparseG6%;F&F(F_hpF_hpE\[l!F$,
I"B=F$6$F_hpF_hpE\[l*Ff\mFE6$F*F(FEFa`nFE6$F*F*FL6$F(F(FE6$F&F(FPFhcoFPF`joFEF6
FEF$,
I#BI=F$FchpE\[l*Ff\mFEFehpFEFa`nFEFfhp#F&FLFghpFEFhhp#F&FPFhcoF]ipF`joFEF6FEF$
